global:
  imageRegistry: ""

postgresql:
  username: postgres
  existingSecret: "$INFISICAL_SECRET"

  maxConnections: "200"
  sharedPreloadLibraries: "repmgr, pgaudit, pg_stat_statements, pgoutput"

  extendedConf: |-
    wal_level = logical
    max_replication_slots = 4
    max_wal_senders = 4  

  replicaCount: 1

  extraEnvVars:
    - name: TZ
      value: Asia/Seoul

  resources:
    requests:
      cpu: 100m
      memory: 512Mi
    limits:
      cpu: 500m
      memory: 1024Mi

  tolerations: []

  nodeSelector: {}

pgpool:
  existingSecret: "$INFISICAL_SECRET"

  replicaCount: 0

persistence:
  enabled: true
  storageClass: ""
  size: 1Gi

volumePermissions:
  enabled: true
  podSecurityContext:
    runAsUser: 0